//
// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
//
// The contents of this file are covered under the licence agreement in the
// file "LICENCE" distributed with Cforall.
//
// TypeVar.hpp --
//
// Author           : Aaron B. Moss
// Created On       : Wed May 15 15:00:00 2019
// Last Modified By : Aaron B. Moss
// Last Modified On : Wed May 15 15:00:00 2019
// Update Count     : 1
//

#pragma once

namespace ast {

namespace TypeVar {

/// type variable variants.
/// `otype` is treated as a constrainted `dtype`
enum Kind { Dtype, Ftype, Ttype, NUMBER_OF_KINDS };

}

}

// Local Variables: //
// tab-width: 4 //
// mode: c++ //
// compile-command: "make install" //
// End: //